> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Search Postman resources

POST https://api.getpostman.com/search
Content-Type: application/json

Searches Postman for resources such as workspaces, collections, requests, and other resource types. You can filter results by ownership, visibility, tags, and other criteria.

**Note:**

If you call this endpoint without an API key, the response only returns publicly-available resources.


Reference: https://learning.postman.com/api-docs/api-reference/search/postman-resources

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /search:
    post:
      operationId: postmanResources
      summary: Search Postman resources
      description: >
        Searches Postman for resources such as workspaces, collections,
        requests, and other resource types. You can filter results by ownership,
        visibility, tags, and other criteria.


        **Note:**


        If you call this endpoint without an API key, the response only returns
        publicly-available resources.
      tags:
        - search
      parameters:
        - name: limit
          in: query
          description: The maximum number of results to return per page.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault10Max25'
            default: 10
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/searchPostmanResourcesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SearchPostmanResourcesRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/searchPostmanResources'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    limitDefault10Max25:
      type: integer
      default: 10
      title: limitDefault10Max25
    cursor:
      type: string
      title: cursor
    SearchPostmanResourcesElementType:
      type: string
      enum:
        - requests
        - collections
        - workspaces
        - environments
        - flows
        - specs
      description: The type of Postman resource to search for.
      title: SearchPostmanResourcesElementType
    SearchPostmanResourcesOwnership:
      type: string
      enum:
        - organization
        - external
        - all
      default: organization
      description: |
        The ownership scope for search results. One of:
        - `organization` (default) — Resources owned by the user's team.
        - `external` — Resources not owned by the user's team.
        - `all` — All resources regardless of ownership.
      title: SearchPostmanResourcesOwnership
    searchFilterPrivateApiNetwork:
      type: object
      properties:
        $eq:
          type: boolean
          description: >-
            If true, return only resources that are part of the Private API
            Network.
        $ne:
          type: boolean
          description: If true, exclude resources that are part of the Private API Network.
      description: >-
        Filters by private API network membership. Supported for all element
        types.
      title: searchFilterPrivateApiNetwork
    searchFilterPublisherIsVerified:
      type: object
      properties:
        $eq:
          type: boolean
          description: If true, return only results from verified publishers.
        $ne:
          type: boolean
          description: If true, exclude results from verified publishers.
      description: >-
        Filters by publisher verification status. Supported for all element
        types.
      title: searchFilterPublisherIsVerified
    SearchFilterVisibilityEq:
      type: string
      enum:
        - internal
        - public
        - partner
      description: The visibility value to match.
      title: SearchFilterVisibilityEq
    SearchFilterVisibilityNe:
      type: string
      enum:
        - internal
        - public
        - partner
      description: The visibility value to exclude.
      title: SearchFilterVisibilityNe
    searchFilterVisibility:
      type: object
      properties:
        $eq:
          $ref: '#/components/schemas/SearchFilterVisibilityEq'
          description: The visibility value to match.
        $ne:
          $ref: '#/components/schemas/SearchFilterVisibilityNe'
          description: The visibility value to exclude.
      description: >
        Filters by workspace visibility. Supported for all element types. One
        of:

        - `internal` — Only visible to the organization's team members.

        - `public` — Visible to all Postman users.

        - `partner` — Visible to assigned external partner users.
      title: searchFilterVisibility
    workspaceId:
      type: string
      title: workspaceId
    searchFilterWorkspaceId:
      type: object
      properties:
        $eq:
          type: string
          description: The workspace ID to match.
        $ne:
          type: string
          description: The workspace ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/workspaceId'
          description: A list of workspace IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/workspaceId'
          description: A list of workspace IDs to exclude.
      description: Filters by workspace ID. Supported for all element types.
      title: searchFilterWorkspaceId
    collectionUid:
      type: string
      format: uid
      title: collectionUid
    searchFilterCollectionId:
      type: object
      properties:
        $eq:
          type: string
          description: The collection ID to match.
        $ne:
          type: string
          description: The collection ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/collectionUid'
          description: A list of collection IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/collectionUid'
          description: A list of collection IDs to exclude.
      description: >-
        Filters by collection ID. Supported for `requests` and `collections`
        only.
      title: searchFilterCollectionId
    tagName:
      type: string
      title: tagName
    searchFilterTags:
      type: object
      properties:
        $eq:
          type: string
          description: The tag to match.
        $ne:
          type: string
          description: The tag to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/tagName'
          description: A list of tags to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/tagName'
          description: A list of tags to exclude.
      description: Filters by tags. Supported for `workspaces` and `collections`.
      title: searchFilterTags
    httpMethod:
      type: string
      title: httpMethod
    searchFilterRequestHttpMethod:
      type: object
      properties:
        $eq:
          type: string
          description: The HTTP method to match.
        $ne:
          type: string
          description: The HTTP method to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/httpMethod'
          description: A list of HTTP methods to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/httpMethod'
          description: A list of HTTP methods to exclude.
      description: >-
        Filters by HTTP method (for example, `GET` or `POST`). Supported for
        `requests` only.
      title: searchFilterRequestHttpMethod
    collectionRequestId:
      type: string
      title: collectionRequestId
    searchFilterRequestId:
      type: object
      properties:
        $eq:
          type: string
          description: The request ID to match.
        $ne:
          type: string
          description: The request ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/collectionRequestId'
          description: A list of request IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/collectionRequestId'
          description: A list of request IDs to exclude.
      description: Filters by request ID. Supported for `requests` only.
      title: searchFilterRequestId
    specId:
      type: string
      title: specId
    searchFilterSpecId:
      type: object
      properties:
        $eq:
          type: string
          description: The specification ID to match.
        $ne:
          type: string
          description: The specification ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/specId'
          description: A list of specification IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/specId'
          description: A list of specification IDs to exclude.
      description: Filters by specification ID. Supported for `specs` only.
      title: searchFilterSpecId
    flowId:
      type: string
      title: flowId
    searchFilterFlowId:
      type: object
      properties:
        $eq:
          type: string
          description: The flow ID to match.
        $ne:
          type: string
          description: The flow ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/flowId'
          description: A list of flow IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/flowId'
          description: A list of flow IDs to exclude.
      description: Filters by flow ID. Supported for `flows` only.
      title: searchFilterFlowId
    environmentId:
      type: string
      title: environmentId
    searchFilterEnvironmentId:
      type: object
      properties:
        $eq:
          type: string
          description: The environment ID to match.
        $ne:
          type: string
          description: The environment ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/environmentId'
          description: A list of environment IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/environmentId'
          description: A list of environment IDs to exclude.
      description: Filters by environment ID. Supported for `environments` only.
      title: searchFilterEnvironmentId
    createdByString:
      type: string
      title: createdByString
    searchFilterCreatedBy:
      type: object
      properties:
        $eq:
          type: string
          description: The creator ID to match.
        $ne:
          type: string
          description: The creator ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/createdByString'
          description: A list of creator IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/createdByString'
          description: A list of creator IDs to exclude.
      description: >-
        Filters by the resource creator's user ID. Supported for all element
        types.
      title: searchFilterCreatedBy
    organizationIdString:
      type: string
      title: organizationIdString
    searchFilterOrgId:
      type: object
      properties:
        $eq:
          type: string
          description: The organization ID to match.
        $ne:
          type: string
          description: The organization ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/organizationIdString'
          description: A list of organization IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/organizationIdString'
          description: A list of organization IDs to exclude.
      description: Filters by organization ID. Supported for all element types.
      title: searchFilterOrgId
    teamIdString:
      type: string
      title: teamIdString
    searchFilterTeamId:
      type: object
      properties:
        $eq:
          type: string
          description: The team ID to match.
        $ne:
          type: string
          description: The team ID to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/teamIdString'
          description: A list of team IDs to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/teamIdString'
          description: A list of team IDs to exclude.
      description: Filters by team ID. Supported for all element types.
      title: searchFilterTeamId
    searchFilterGitConnected:
      type: object
      properties:
        $eq:
          type: boolean
          description: If true, return only resources connected to Git.
        $ne:
          type: boolean
          description: If true, exclude resources connected to Git.
      description: >-
        Filters by Git connection status. Supported for `workspaces`,
        `collections`, `requests`, `environments`, `specs`, and `flows`.
      title: searchFilterGitConnected
    collectionRequestResourceType:
      type: string
      title: collectionRequestResourceType
    searchFilterRequestResourceType:
      type: object
      properties:
        $eq:
          type: string
          description: The resource type to match.
        $ne:
          type: string
          description: The resource type to exclude.
        $in:
          type: array
          items:
            $ref: '#/components/schemas/collectionRequestResourceType'
          description: A list of resource types to match.
        $nin:
          type: array
          items:
            $ref: '#/components/schemas/collectionRequestResourceType'
          description: A list of resource types to exclude.
      description: >-
        Filters by resource type variant (for example, `http` or `grpc`).
        Supported for `requests` only.
      title: searchFilterRequestResourceType
    searchFilters:
      type: object
      properties:
        privateNetwork:
          $ref: '#/components/schemas/searchFilterPrivateApiNetwork'
        publisherIsVerified:
          $ref: '#/components/schemas/searchFilterPublisherIsVerified'
        visibility:
          $ref: '#/components/schemas/searchFilterVisibility'
        workspaceId:
          $ref: '#/components/schemas/searchFilterWorkspaceId'
        collectionId:
          $ref: '#/components/schemas/searchFilterCollectionId'
        tags:
          $ref: '#/components/schemas/searchFilterTags'
        method:
          $ref: '#/components/schemas/searchFilterRequestHttpMethod'
        requestId:
          $ref: '#/components/schemas/searchFilterRequestId'
        specificationId:
          $ref: '#/components/schemas/searchFilterSpecId'
        flowId:
          $ref: '#/components/schemas/searchFilterFlowId'
        environmentId:
          $ref: '#/components/schemas/searchFilterEnvironmentId'
        createdBy:
          $ref: '#/components/schemas/searchFilterCreatedBy'
        organizationId:
          $ref: '#/components/schemas/searchFilterOrgId'
        teamId:
          $ref: '#/components/schemas/searchFilterTeamId'
        isGitConnected:
          $ref: '#/components/schemas/searchFilterGitConnected'
        type:
          $ref: '#/components/schemas/searchFilterRequestResourceType'
      description: A single filter condition.
      title: searchFilters
    searchFilterAndOperation:
      type: array
      items:
        $ref: '#/components/schemas/searchFilters'
      description: >-
        A list of filter conditions that must all be true. Each item must
        contain exactly one filter.
      title: searchFilterAndOperation
    SearchPostmanResourcesFilters:
      type: object
      properties:
        $and:
          $ref: '#/components/schemas/searchFilterAndOperation'
      required:
        - $and
      description: The search filters to narrow results.
      title: SearchPostmanResourcesFilters
    searchPostmanResources:
      type: object
      properties:
        q:
          type: string
          description: The search query text. This is case-insensitive.
        elementType:
          $ref: '#/components/schemas/SearchPostmanResourcesElementType'
          description: The type of Postman resource to search for.
        ownership:
          $ref: '#/components/schemas/SearchPostmanResourcesOwnership'
          default: organization
          description: |
            The ownership scope for search results. One of:
            - `organization` (default) — Resources owned by the user's team.
            - `external` — Resources not owned by the user's team.
            - `all` — All resources regardless of ownership.
        filters:
          $ref: '#/components/schemas/SearchPostmanResourcesFilters'
          description: The search filters to narrow results.
      required:
        - elementType
      title: searchPostmanResources
    searchMetaData:
      type: object
      properties:
        nextCursor:
          type: string
          description: >-
            The pagination cursor that points to the next record in the results
            set.
        q:
          type: string
          description: The search query text.
        total:
          type: integer
          description: The number of records found.
      description: Pagination metadata for the search results.
      title: searchMetaData
    searchResourceTeamData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          description: The team's ID.
        name:
          type:
            - string
            - 'null'
          description: The team's name.
      description: >-
        Information about the team associated with the resource. This returns a
        null value for the `user` publisher type.
      title: searchResourceTeamData
    searchRequestsCollectionData:
      type: object
      properties:
        id:
          type: string
          description: The collection's ID.
        name:
          type: string
          description: The collection's name.
      description: >-
        Information about the collection containing the resource. Returns only
        for requests.
      title: searchRequestsCollectionData
    searchResourceWorkspacesData:
      type: object
      properties:
        id:
          type: string
          description: The workspace's ID.
        name:
          type: string
          description: The workspace's name.
      description: Information about the workspace containing the resource.
      title: searchResourceWorkspacesData
    searchResourceOrganizationData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          description: The organization's ID.
        name:
          type:
            - string
            - 'null'
          description: The organization's name.
        isVerified:
          type: boolean
          description: If true, the organization is verified by Postman.
      description: >-
        Information about the organization that published the resource. This
        returns a null value for the `user` publisher type.
      title: searchResourceOrganizationData
    searchResourceWebData:
      type: object
      properties:
        href:
          type: string
          format: uri
          description: The URL to view the resource in the Postman web app.
      description: The link to view the resource in the Postman web app.
      title: searchResourceWebData
    searchResourceLinksSelfData:
      type: object
      properties:
        href:
          type: string
          format: uri
          description: The URL to access the resource through the Postman API.
      description: The link to the resource through the Postman API.
      title: searchResourceLinksSelfData
    searchResourceLinksData:
      type: object
      properties:
        web:
          $ref: '#/components/schemas/searchResourceWebData'
        self:
          $ref: '#/components/schemas/searchResourceLinksSelfData'
      description: Information about the resource's hypermedia links.
      title: searchResourceLinksData
    searchPostmanResourcesResponseData:
      type: object
      properties:
        id:
          type: string
          description: The resource's ID.
        name:
          type: string
          description: The resource's name.
        method:
          type: string
          description: The request's HTTP method. Returns only for requests.
        type:
          type: string
          description: >-
            The resource type variant, such as HTTP or gRPC. Returns only for
            requests.
        description:
          type: string
          description: A brief description of the resource, if available.
        summary:
          type: string
          description: >-
            A brief summary of the resource, if available. Returns only for
            workspaces and collections.
        url:
          type: string
          format: uri
          description: The request URL of the resource. Returns only for requests.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/tagName'
          description: >-
            A list of tags associated with the resource. Returns only for
            workspaces and collections.
        specificationId:
          type: string
          description: The specification's ID. Returns only for specifications.
        specificationType:
          type: string
          description: The specification's type. Returns only for specifications.
        specificationName:
          type: string
          description: The specification's name. Returns only for specifications.
        isPrivateNetworkEntity:
          type: boolean
          description: Whether the resource is part of a private API network.
        createdBy:
          type: string
          description: The ID of the user who created the resource.
        team:
          $ref: '#/components/schemas/searchResourceTeamData'
        isGitConnected:
          type: boolean
          description: >-
            If true, the resource is connected to Git. Returns only for
            workspaces, collections, requests, specifications, and flows.
        collection:
          $ref: '#/components/schemas/searchRequestsCollectionData'
        workspace:
          $ref: '#/components/schemas/searchResourceWorkspacesData'
        organization:
          $ref: '#/components/schemas/searchResourceOrganizationData'
        links:
          $ref: '#/components/schemas/searchResourceLinksData'
      description: Information about the Postman resource.
      title: searchPostmanResourcesResponseData
    searchPostmanResourcesResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/searchMetaData'
        data:
          type: array
          items:
            $ref: '#/components/schemas/searchPostmanResourcesResponseData'
          description: A list of Postman elements that match the search query and filters.
      title: searchPostmanResourcesResponse
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    SearchPostmanResourcesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: SearchPostmanResourcesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Search Team's Public Workspace



**Request**

```json
undefined
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Team's Public Workspace
import requests

url = "https://api.getpostman.com/search"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Search Team's Public Workspace
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Team's Public Workspace
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Team's Public Workspace
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Search Team's Public Workspace
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Search Team's Public Workspace
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Team's Public Workspace
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Search Team's Public Workspace
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### No Results Found



**Request**

```json
undefined
```

**Response**

```json
{
  "meta": {
    "q": "testing",
    "total": 0
  },
  "data": []
}
```

**SDK Code**

```python No Results Found
import requests

url = "https://api.getpostman.com/search"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript No Results Found
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go No Results Found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby No Results Found
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java No Results Found
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php No Results Found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp No Results Found
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift No Results Found
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Workspaces



**Request**

```json
{
  "elementType": "workspaces",
  "q": "test workspace",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "publisherIsVerified": {
          "$ne": true
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Workspaces
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "workspaces",
    "q": "test workspace",
    "ownership": "organization",
    "filters": { "$and": [{ "publisherIsVerified": { "$ne": True } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search Workspaces
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"workspaces","q":"test workspace","ownership":"organization","filters":{"$and":[{"publisherIsVerified":{"$ne":true}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Workspaces
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"workspaces\",\n  \"q\": \"test workspace\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"publisherIsVerified\": {\n          \"$ne\": true\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Workspaces
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"workspaces\",\n  \"q\": \"test workspace\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"publisherIsVerified\": {\n          \"$ne\": true\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search Workspaces
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"workspaces\",\n  \"q\": \"test workspace\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"publisherIsVerified\": {\n          \"$ne\": true\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search Workspaces
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "workspaces",
  "q": "test workspace",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "publisherIsVerified": {
          "$ne": true
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Workspaces
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"workspaces\",\n  \"q\": \"test workspace\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"publisherIsVerified\": {\n          \"$ne\": true\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search Workspaces
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "workspaces",
  "q": "test workspace",
  "ownership": "organization",
  "filters": ["$and": [["publisherIsVerified": ["$ne": true]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Team's Public Workspaces



**Request**

```json
{
  "elementType": "requests",
  "q": "test",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "internal"
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Team's Public Workspaces
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "requests",
    "q": "test",
    "ownership": "organization",
    "filters": { "$and": [{ "visibility": { "$eq": "internal" } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search Team's Public Workspaces
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"requests","q":"test","ownership":"organization","filters":{"$and":[{"visibility":{"$eq":"internal"}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Team's Public Workspaces
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"requests\",\n  \"q\": \"test\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Team's Public Workspaces
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"requests\",\n  \"q\": \"test\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search Team's Public Workspaces
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"requests\",\n  \"q\": \"test\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search Team's Public Workspaces
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "requests",
  "q": "test",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "internal"
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Team's Public Workspaces
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"requests\",\n  \"q\": \"test\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search Team's Public Workspaces
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "requests",
  "q": "test",
  "ownership": "organization",
  "filters": ["$and": [["visibility": ["$eq": "internal"]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Public Workspaces with Verified Publishers



**Request**

```json
{
  "elementType": "requests",
  "q": "testing",
  "ownership": "all",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "public"
        }
      },
      {
        "publisherIsVerified": {
          "$eq": true
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Public Workspaces with Verified Publishers
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "requests",
    "q": "testing",
    "ownership": "all",
    "filters": { "$and": [{ "visibility": { "$eq": "public" } }, { "publisherIsVerified": { "$eq": True } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search Public Workspaces with Verified Publishers
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"requests","q":"testing","ownership":"all","filters":{"$and":[{"visibility":{"$eq":"public"}},{"publisherIsVerified":{"$eq":true}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Public Workspaces with Verified Publishers
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"all\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      },\n      {\n        \"publisherIsVerified\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Public Workspaces with Verified Publishers
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"all\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      },\n      {\n        \"publisherIsVerified\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search Public Workspaces with Verified Publishers
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"all\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      },\n      {\n        \"publisherIsVerified\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search Public Workspaces with Verified Publishers
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "requests",
  "q": "testing",
  "ownership": "all",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "public"
        }
      },
      {
        "publisherIsVerified": {
          "$eq": true
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Public Workspaces with Verified Publishers
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"all\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      },\n      {\n        \"publisherIsVerified\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search Public Workspaces with Verified Publishers
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "requests",
  "q": "testing",
  "ownership": "all",
  "filters": ["$and": [["visibility": ["$eq": "public"]], ["publisherIsVerified": ["$eq": true]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Partner Workspaces



**Request**

```json
{
  "elementType": "requests",
  "q": "payment gateway",
  "ownership": "external",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "partner"
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Partner Workspaces
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "requests",
    "q": "payment gateway",
    "ownership": "external",
    "filters": { "$and": [{ "visibility": { "$eq": "partner" } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search Partner Workspaces
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"requests","q":"payment gateway","ownership":"external","filters":{"$and":[{"visibility":{"$eq":"partner"}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Partner Workspaces
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"requests\",\n  \"q\": \"payment gateway\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"partner\"\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Partner Workspaces
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"requests\",\n  \"q\": \"payment gateway\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"partner\"\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search Partner Workspaces
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"requests\",\n  \"q\": \"payment gateway\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"partner\"\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search Partner Workspaces
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "requests",
  "q": "payment gateway",
  "ownership": "external",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "partner"
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Partner Workspaces
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"requests\",\n  \"q\": \"payment gateway\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"partner\"\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search Partner Workspaces
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "requests",
  "q": "payment gateway",
  "ownership": "external",
  "filters": ["$and": [["visibility": ["$eq": "partner"]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Private API Network



**Request**

```json
{
  "elementType": "requests",
  "q": "testing",
  "filters": {
    "$and": [
      {
        "privateNetwork": {
          "$eq": true
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Private API Network
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "requests",
    "q": "testing",
    "filters": { "$and": [{ "privateNetwork": { "$eq": True } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search Private API Network
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"requests","q":"testing","filters":{"$and":[{"privateNetwork":{"$eq":true}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Private API Network
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"privateNetwork\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Private API Network
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"privateNetwork\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search Private API Network
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"privateNetwork\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search Private API Network
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "requests",
  "q": "testing",
  "filters": {
    "$and": [
      {
        "privateNetwork": {
          "$eq": true
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Private API Network
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"privateNetwork\": {\n          \"$eq\": true\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search Private API Network
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "requests",
  "q": "testing",
  "filters": ["$and": [["privateNetwork": ["$eq": true]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search External Public APIs



**Request**

```json
{
  "elementType": "requests",
  "q": "weather forecast",
  "ownership": "external",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "public"
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search External Public APIs
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "requests",
    "q": "weather forecast",
    "ownership": "external",
    "filters": { "$and": [{ "visibility": { "$eq": "public" } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search External Public APIs
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"requests","q":"weather forecast","ownership":"external","filters":{"$and":[{"visibility":{"$eq":"public"}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search External Public APIs
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"requests\",\n  \"q\": \"weather forecast\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search External Public APIs
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"requests\",\n  \"q\": \"weather forecast\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search External Public APIs
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"requests\",\n  \"q\": \"weather forecast\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search External Public APIs
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "requests",
  "q": "weather forecast",
  "ownership": "external",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "public"
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search External Public APIs
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"requests\",\n  \"q\": \"weather forecast\",\n  \"ownership\": \"external\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"public\"\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search External Public APIs
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "requests",
  "q": "weather forecast",
  "ownership": "external",
  "filters": ["$and": [["visibility": ["$eq": "public"]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Flows



**Request**

```json
{
  "elementType": "flows",
  "q": "demo flow",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "internal"
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Flows
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "flows",
    "q": "demo flow",
    "ownership": "organization",
    "filters": { "$and": [{ "visibility": { "$eq": "internal" } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search Flows
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"flows","q":"demo flow","ownership":"organization","filters":{"$and":[{"visibility":{"$eq":"internal"}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Flows
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"flows\",\n  \"q\": \"demo flow\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Flows
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"flows\",\n  \"q\": \"demo flow\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search Flows
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"flows\",\n  \"q\": \"demo flow\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search Flows
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "flows",
  "q": "demo flow",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "internal"
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Flows
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"flows\",\n  \"q\": \"demo flow\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search Flows
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "flows",
  "q": "demo flow",
  "ownership": "organization",
  "filters": ["$and": [["visibility": ["$eq": "internal"]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Internal APIs in Organization



**Request**

```json
{
  "elementType": "requests",
  "q": "testing",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "internal"
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Internal APIs in Organization
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "requests",
    "q": "testing",
    "ownership": "organization",
    "filters": { "$and": [{ "visibility": { "$eq": "internal" } }] }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Search Internal APIs in Organization
const url = 'https://api.getpostman.com/search';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"elementType":"requests","q":"testing","ownership":"organization","filters":{"$and":[{"visibility":{"$eq":"internal"}}]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Search Internal APIs in Organization
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/search"

	payload := strings.NewReader("{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Search Internal APIs in Organization
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Search Internal APIs in Organization
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/search")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}")
  .asString();
```

```php Search Internal APIs in Organization
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/search', [
  'body' => '{
  "elementType": "requests",
  "q": "testing",
  "ownership": "organization",
  "filters": {
    "$and": [
      {
        "visibility": {
          "$eq": "internal"
        }
      }
    ]
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Search Internal APIs in Organization
using RestSharp;

var client = new RestClient("https://api.getpostman.com/search");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"elementType\": \"requests\",\n  \"q\": \"testing\",\n  \"ownership\": \"organization\",\n  \"filters\": {\n    \"$and\": [\n      {\n        \"visibility\": {\n          \"$eq\": \"internal\"\n        }\n      }\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Search Internal APIs in Organization
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "elementType": "requests",
  "q": "testing",
  "ownership": "organization",
  "filters": ["$and": [["visibility": ["$eq": "internal"]]]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Search Requests with $ne Filter



**Request**

```json
{
  "elementType": "requests",
  "q": "Get all invoices",
  "filters": {
    "$and": [
      {
        "publisherIsVerified": {
          "$ne": false
        }
      }
    ]
  }
}
```

**Response**

```json
{
  "meta": {
    "nextCursor": "eyJmcm9tIjoxMH0=",
    "q": "team",
    "total": 2
  },
  "data": [
    {
      "id": "12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Get Team Members",
      "method": "GET",
      "description": "Retrieve all team members",
      "url": "https://postman-echo.com/get?team=api-team",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-11223344-5566-7788-99aa-bbccddeeff00",
        "name": "API Team"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-11223344-5566-7788-99aa-bbccddeeff00/requests/12345678-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    },
    {
      "id": "12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098",
      "name": "Create Workspace",
      "method": "POST",
      "description": "Create workspace",
      "url": "https://postman-echo.com/post",
      "createdBy": "12345678",
      "team": {
        "id": "123",
        "name": "API Team Devs"
      },
      "isGitConnected": false,
      "collection": {
        "id": "12345678-aabbccdd-eeff-0011-2233-445566778899",
        "name": "Workspace Operations"
      },
      "workspace": {
        "id": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f90",
        "name": "API Team Workspace"
      },
      "organization": {
        "id": "1",
        "name": "API Team Devs",
        "isVerified": false
      },
      "links": {
        "web": {
          "href": "https://go.postman.co/request/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        },
        "self": {
          "href": "https://api.postman.com/collections/12345678-aabbccdd-eeff-0011-2233-445566778899/requests/12345678-f0e1d2c3-b4a5-9687-7654-321fedcba098"
        }
      }
    }
  ]
}
```

**SDK Code**

```python Search Requests with $ne Filter
import requests

url = "https://api.getpostman.com/search"

payload = {
    "elementType": "requests",
    "q": "Get all invoices",
    "filters": { "$and": [{ "publisherIsVerified": { "$ne": False } }] }
}
headers = {
[...]
